xfocus logo xfocus title
首页 焦点原创 安全文摘 安全工具 安全漏洞 焦点项目 焦点论坛 关于我们
English Version

HP-UX 行打印守护程序存在缓冲溢出漏洞


发布时间:2001-08-30
更新时间:2001-08-30
严重程度:
威胁程度:远程管理员权限
错误类型:输入验证错误
利用方式:服务器模式

受影响系统
HP HP-UX 11.11
HP HP-UX 11.0
HP HP-UX 10.20
HP HP-UX 10.10
HP HP-UX 10.1
详细描述
HP-UX中的行打印机守护程序'rlpdaemon'存在远程缓冲溢出漏洞,其默认情况下以ROOT的权利安装和运行,攻击者可以利用这个漏洞在目标主机上执行任意代码。

测试代码
尚无

解决方案
下载补丁程序:

HP HP-UX 11.11:

HP patch 11.11 PHCO_24701
http://us-support.external.hp.com

HP HP-UX 11.0:

HP patch 11.00 PHCO_24700
http://us-support.external.hp.com

HP HP-UX 10.20:

HP patch 10.20 PHCO_24699
http://us-support.external.hp.com

HP HP-UX 10.10:

HP patch 10.10 PHCO_24698
http://us-support.external.hp.com

HP HP-UX 10.1:

HP patch 10.01 PHCO_24697
http://us-support.external.hp.com

相关信息